gnutls_x509_privkey_get_pk_algorithm(3)

NAME
gnutls_x509_privkey_get_pk_algorithm - returns the key's PublicKey algorithm

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_get_pk_algorithm(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    should contain a gnutls_x509_privkey_t structure

DESCRIPTION
This function will return the public key algorithm of a private key.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.